Configurer (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.configuration

## Interface Configurer

- All Known Implementing Classes:
    `ConfigurerImpl`, `ConfigurerImpl`, `NullConfigurer`

      public interface Configurer

  The configurer's interface A class that implements this interface will perform a bean's configuration work

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DEFAULT_USER_CFG_FILE` |
    `static String` | `USER_CFG_FILE_PROPERTY_NAME` |
    `static String` | `USER_CFG_FILE_PROPERTY_URL` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `configureBean​(Object beanInstance)` | set up the Bean's value by using Dependency Injection from the application context
    `void` | `configureBean​(String name, Object beanInstance)` | set up the Bean's value by using Dependency Injection from the application context with a proper name.

- - ### Field Detail

    - #### DEFAULT_USER_CFG_FILE

          static final String DEFAULT_USER_CFG_FILE

      See Also:
        Constant Field Values

    - #### USER_CFG_FILE_PROPERTY_NAME

          static final String USER_CFG_FILE_PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### USER_CFG_FILE_PROPERTY_URL

          static final String USER_CFG_FILE_PROPERTY_URL

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### configureBean

          void configureBean​(Object beanInstance)

      set up the Bean's value by using Dependency Injection from the application context
      Parameters:
        `beanInstance` - the instance of the bean which needs to be configured

    - #### configureBean

          void configureBean​(String name,
                             Object beanInstance)

      set up the Bean's value by using Dependency Injection from the application context with a proper name. You can use * as the prefix of wildcard name.
      Parameters:
        `name` - the name of the bean which needs to be configured
        `beanInstance` - the instance of bean which need to be configured